Part Cone/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(11 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav/ru
{{Docnav/ru
|[[Part_Sphere/ru|Сфера]]
|[[Part_Sphere/ru|Сфера]]
|[[Part_Torus/ru|Тор]]
|[[Part_Torus/ru|Тор]]
|[[Part_Workbench/ru|Модуль Part(Деталь)]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Sphere.svg
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconR=Part_Torus.svg
Line 19: Line 20:
== Описание ==
== Описание ==


Параметрический усечённый конус доступен из панели инструментов верстака Part, через меню (подменю примитивы), диалогового окна Создать примитивы.

[[File:Otherwisedefault270degree_Part_Cone.png|300px]]
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Параметрический усечённый конус доступен из панели инструментов верстака Part, через меню (подменю примитивы), диалогового окна Создать примитивы.
{{Caption|Выше: показан Конус с параметром "Угол", установленным на 270 градусов, а все остальные параметры имеют значения по умолчанию.}}
</div>
</div>


The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.
==Использование==

[[Image:Part_Cone_Example.png|400px]]

== Применение ==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
# Переключитесь на [[Image:Workbench_Part.svg|16px]] [[Part_Workbench/ru|верстак Part]]
# Переключитесь на [[Image:Workbench_Part.svg|16px]] [[Part_Workbench/ru|верстак Part]]
# Существует несколько способов вызова команды:
# Существует два способа вызова данной команды:
#* Нажмите на иконку {{Button|[[Image:Part_Cone.svg|16px]] конуса}} на панели инструментов.
#* Нажатием на иконку {{Button|[[Image:Part_Cone.svg|16px]] Конуса}} на панели инструментов.
#* Выберите из меню {{MenuCommand|Деталь → Примитивы → [[Image:Part_Cone.svg|16px]] Конус}}.
#* Или через пункт меню {{MenuCommand|Деталь → Примитивы → [[Image:Part_Cone.svg|16px]] Конус}}.
</div>
</div>


== Example ==
<div class="mw-translate-fuzzy">
'''Результат:''' Значения по умолчанию создают усеченный параметрический конус, определяемый параметрами {{incode|Радиус 1(Radius 1)}}, {{incode|Радиус 2(Radius 2)}}, {{incode|Высота(Height)}} и {{incode|Угол(Angle)}}. По умолчанию, при создании, конус будет расположен в начале координат (точка 0,0,0). Параметр угол(angle) позволяет создать часть(сектор) конуса (по умолчанию он установлен на 360°), а радиусы 1 и 2 соответствуют радиусу основания и верхнему радиусу усеченного конуса.
</div>


[[Image:Part_Cone_Scripting_Example.png|thumb|Part Cone from the scripting example]]
The cone properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cone in the [[Tree_view|Tree view]].

A Part Cone object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Cone can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

== Свойства ==

See also: [[Property_editor|Property editor]].

A Part Cone object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cone}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Опции ==
{|
| [[File:PartConeProperty_en.png]]
|
{{KEY|Конус}}
* '''Радиус 1 (Radius 1):''' радиус дуги или окружности, определяющей нижнюю грань
* '''Радиус 1 (Radius 1):''' радиус дуги или окружности, определяющей нижнюю грань
* '''Радиус 2 (Radius 2):''' радиус дуги или окружности, определяющей верхнюю грань
* '''Радиус 2 (Radius 2):''' радиус дуги или окружности, определяющей верхнюю грань
* '''Высота (Height):''' высота Конуса
* '''Высота (Height):''' высота Конуса
* '''Угол (Angle):''' размер дуги в градусах или полные окружности, определяющих верхнюю и нижнюю грани усеченного конуса. По умолчанию значение 360 создает полностью круговые грани, меньшее значение создаст часть(сектор) конуса, определяемую верхней и нижней гранями, каждая из которых имеет рёбра, определяемые длиной дуги в градусах и двумя радиусами.
* '''Угол (Angle):''' размер дуги в градусах или полные окружности, определяющих верхнюю и нижнюю грани усеченного конуса. По умолчанию значение 360 создает полностью круговые грани, меньшее значение создаст часть(сектор) конуса, определяемую верхней и нижней гранями, каждая из которых имеет рёбра, определяемые длиной дуги в градусах и двумя радиусами.
|}
</div>
</div>


== Scripting ==
* {{PropertyData|Radius 1}}: Radius of the arc or circle defining the lower face

* {{PropertyData|Radius 2}}: Radius of the arc or circle defining the upper face
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
* {{PropertyData|Height}}: Height of the Part Cone

* {{PropertyData|Angle}}: Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.
A Part Cone can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
}}

* Where {{Incode|"myCone"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()
}}




<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Part_Sphere/ru|Сфера]]
|[[Part_Sphere/ru|Сфера]]
|[[Part_Torus/ru|Тор]]
|[[Part_Torus/ru|Тор]]
|[[Part_Module/ru|Модуль Part(Деталь)]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Sphere.svg
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconR=Part_Torus.svg
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}
</div>


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 08:56, 4 March 2022

Конус

Системное название
Part Cone
Расположение в меню
Деталь → Примитивы → Конус
Верстаки
Part
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы

Описание

Параметрический усечённый конус доступен из панели инструментов верстака Part, через меню (подменю примитивы), диалогового окна Создать примитивы.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its ДанныеRadius1 or ДанныеRadius2 property to zero. It can be turned into a segment of a cone by changing its ДанныеAngle property.

Применение

  1. Переключитесь на верстак Part
  2. Существует два способа вызова данной команды:
    • Нажатием на иконку Конуса на панели инструментов.
    • Или через пункт меню Деталь → Примитивы → Конус.

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Свойства

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • Радиус 1 (Radius 1): радиус дуги или окружности, определяющей нижнюю грань
  • Радиус 2 (Radius 2): радиус дуги или окружности, определяющей верхнюю грань
  • Высота (Height): высота Конуса
  • Угол (Angle): размер дуги в градусах или полные окружности, определяющих верхнюю и нижнюю грани усеченного конуса. По умолчанию значение 360 создает полностью круговые грани, меньшее значение создаст часть(сектор) конуса, определяемую верхней и нижней гранями, каждая из которых имеет рёбра, определяемые длиной дуги в градусах и двумя радиусами.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()